<?php
header("Content-Type: text/html; charset=utf-8");
use_helper('UtilFunctions');
ViewResponse::getInstance()->setMethodAjax();

$a_resultado[1]['resultado'] 	= 'false';
$a_resultado[1]['mensaje'] 		= '';
			
switch ($type){
  	
   case 'getSubcategoria':
    
      if(!$value) $value = "99999999";
      $o_subcategoriaFN = new QuSubcategoriaFN();
      $o_subcategoriaFN->setIdcategoria($value);
  
      
      $a_o_subcategoria = $o_subcategoriaFN->select();

      if(is_array($a_o_subcategoria) && count($a_o_subcategoria) > 0){
        foreach ($a_o_subcategoria as $iKey => $o_subcategoriaFN){
          $cad_selected = '';
          if(isset($Edefault) && $Edefault == $o_subcategoriaFN->getIdsubcategoria()) $cad_selected ="_;_selected";
          $a_ValuesElm[] = $o_subcategoriaFN->getIdsubcategoria()."_;_".$o_subcategoriaFN->getDescripcion().$cad_selected;
        }
        
        $a_Resultado     = array();
        foreach ($a_ValuesElm as $key => $value){
          $valueElm = $value;
          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
        }
        
      }else{
        $a_Resultado = array($nombreElm=>"");
      }
      
      
      $salida = "[".implode(",",$a_Resultado).']';
    
      if($noutf8){
      	header("X-JSON: ".$salida);
      }else{
      	header("X-JSON: ".utf8_decode($salida));
      }
    break;	
	
	
	
   case 'validarAddRanking':
   	
   		if($cboEstado == 'A'){
	    	$o_1550RnakingCabeceraFN = new T1550RankingcabeceraFN();
	    	$o_1550RnakingCabeceraFN->setEstado('A');
	    	$o_1550RnakingCabeceraFN->setTipo($tipo);
	    	
	    	if($tipo == 1) $msg = "Del día";
	    	if($tipo == 2) $msg = "De la semana";
	    	if($tipo == 3) $msg = "La 1550 de la semana";
	    	
	    	$a_o_1550RnakingCabecera = $o_1550RnakingCabeceraFN->select();
	    	
	    	if(is_array($a_o_1550RnakingCabecera)){
				$a_resultado[1]['mensaje'] 	= 'Ya existe un ranking publicado para el tipo '.$msg;
	    	}else{
	    		//Que permita la grabacion, no hay
	    		$a_resultado[1]['resultado'] 	= 'ok';
	    	}
   		}else{
   			//Que permita la grabacion, no hay
	    	$a_resultado[1]['resultado'] 	= 'ok';
   		}
   			
      	break;
 case 'validarAddHorario':
   		
 		$o_1550ProgramacionHFN = new T1550ProgramacionHorarioFN();
   		$o_1550ProgramacionHFN->setIdhorarioprogramacion($horario); 		    	
    	$a_o_1550ProgramacionHFN = $o_1550ProgramacionHFN->select();
    	
    	if(is_array($a_o_1550ProgramacionHFN)){
    		
    		foreach($a_o_1550ProgramacionHFN as $key => $obj){
				if($obj->getIdprogramacion()){
					$o_1550ProgramacionHFN = new T1550ProgramacionFN();
			   		$o_1550ProgramacionHFN->setIdprogramacion($obj->getIdprogramacion()); 		    	
			   		$o_1550ProgramacionHFN->setEstado('A'); 		    	
			    	$a_o_1550ProgramacionHFN = $o_1550ProgramacionHFN->select();
			    	if($a_o_1550ProgramacionHFN){
			    		foreach ($a_o_1550ProgramacionHFN as $key =>$temp){
			    			$a_resultado[1]['mensaje'] 	= 'Ya esta regsitrado el horario por el programa '.$temp->getNoticia();
			    			break 2;
			    		}
			    		
			    	}else{
			    		$a_resultado[1]['resultado'] 	= 'ok';
			    		break;
			    	}
				}else{
					$a_resultado[1]['resultado'] 	= 'ok';
					break;
				}
				
    		}
    	}else{
    		$a_resultado[1]['resultado'] 	= 'ok';
    	}
//  		$a_resultado[1]['resultado'] 	= 'ok';
   			
      	break;
	      	  
  
  case 'validarEditRanking':
		
  		if($cboEstado == 'A'){
	    	$o_1550RnakingCabeceraFN = new T1550RankingcabeceraFN();
	    	$o_1550RnakingCabeceraFN->setEstado('A');
	    	$o_1550RnakingCabeceraFN->setTipo($tipo);
	    	$o_1550RnakingCabeceraFN->setDiffIdcabecera($id);
	    	
	    	if($tipo == 1) $msg = "Del día";
	    	if($tipo == 2) $msg = "De la semana";
	    	if($tipo == 3) $msg = "La 1550 de la semana";
	    	
	    	$a_o_1550RnakingCabecera = $o_1550RnakingCabeceraFN->select();
	    	
	    	if(is_array($a_o_1550RnakingCabecera)){
				$a_resultado[1]['mensaje'] 	= 'Ya existe un ranking publicado para el tipo '.$msg;
	    	}else{
	    		//Que permita la grabacion, no hay
	    		$a_resultado[1]['resultado'] 	= 'ok';
	    	}
   		}else{
   			//Que permita la grabacion, no hay
	    	$a_resultado[1]['resultado'] 	= 'ok';
   		}
  
    
  break;
    
  case 'validarUrlAldia':
		$o_t1550aldia = new T1550AldiaFN();
  		$o_t1550aldia->setEstado('A');
  		$o_t1550aldia->setUrl(nameToURL($titulo));
	
    	
    	$a_o_1550ProgramacionFN = $o_t1550aldia->select();
    	
    	if(is_array($a_o_1550ProgramacionFN)){
    		
    		foreach($a_o_1550ProgramacionFN as $key =>$obj){
				$msg = $obj->getTitulo();
				$a_resultado[1]['mensaje'] 	= 'Ya existe una noticia al dia publicado con titulo: '.$msg;
    		}
    	}else{
    		$a_resultado[1]['resultado'] 	= 'ok';
    	}
		
    
  break;  

  case 'validarEditUrlAldia':
		$o_t1550aldia = new T1550AldiaFN();
  		$o_t1550aldia->setEstado('A');
  		$o_t1550aldia->setNoIdaldia($idAldia);
  		$o_t1550aldia->setUrl(nameToURL($titulo));
	
    	
    	$a_o_1550ProgramacionFN = $o_t1550aldia->select();
    	
    	if(is_array($a_o_1550ProgramacionFN)){
    		
    		foreach($a_o_1550ProgramacionFN as $key =>$obj){
				$msg = $obj->getTitulo();
				$a_resultado[1]['mensaje'] 	= 'Ya existe una noticia al dia publicado con titulo: '.$msg;
    		}
    	}else{
    		$a_resultado[1]['resultado'] 	= 'ok';
    	}
		
    
  break;  
  
  case 'listarHorarios':
		
	
    	$o_1550ProgramacionFN = new T1550ProgramacionFN();
    		    	
    	$a_o_1550ProgramacionFN = $o_1550ProgramacionFN->selectHorarios($id);
    	$a_resultado = null;
    	if(is_array($a_o_1550ProgramacionFN)){
    		$i=1;
    		foreach($a_o_1550ProgramacionFN as $key =>$obj){
				$a_['idhorarioprogramacion'] 	= $obj->idhorarioprogramacion;
				$a_['descripcion'] 	= $obj->descripcion;
				$a_resultado[] = $a_;
    		}
    	}
		
    
  break;
    
}
echo json_encode($a_resultado);
?>